Newer Version Available

This content describes an older version of this product. View Latest

Composite Subrequest Result

The composite subrequest result describes the result for a subrequest for the Composite Graph resource.

Properties

Name Type Description
body The type depends on the response type of the subrequest.

The response body of this subrequest. See the documentation for the subrequest resource for more information.

If the subrequest returns an error, the body includes the error code and message. For more details on error responses, see Status Codes and Error Responses.

httpHeaders Map<String, String> Response headers and their values for this subrequest. The Composite resource doesn’t support the Content-Length header, so subrequest responses don’t include this header and neither does the top-level response.
httpStatusCode Integer An HTTP status code for this subrequest. If allOrNone is set to true in the composite request and a subrequest returns an error, all other subrequests return the 400 HTTP status code.
referenceID String The reference ID specified in the subrequest. This property lets you easily associate subrequests with their results.

Example

1{
2   "body": {
3      "id": "001R00000064wdtIAA",
4      "success": true,
5      "errors": []
6   },
7   "httpHeaders": {
8      "Location": "/services/data/v51.0/sobjects/Account/001R00000064wdtIAA"
9   },
10   "httpStatusCode": 201,
11   "referenceId": "refAccount"
12}